osl::record::RecordVisitor Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::record::RecordVisitor Class Reference

`#include <record.h>`

Collaboration diagram for osl::record::RecordVisitor:
[legend]

## Public Member Functions
| RecordVisitor ()
| RecordVisitor (Record &r)
| ~RecordVisitor ()
SimpleState * | getState () const
void | setState (SimpleState *s)
Record * | getRecord ()
void | setRecord (Record *r)
MoveRecord * | getLastMove ()
void | addMoveAndAdvance (Move move)
NodeRecord * | getNode ()
void | addObserver (RecordVisitorObserver *observer)

## Private Attributes
Record * | rec
SimpleState * | state
int | lastMoveIndex
int | nodeIndex
boost::ptr_vector < RecordVisitorObserver > | observers

## Detailed Description

Definition at line 165 of file record.h.

## Constructor & Destructor Documentation

osl::record::RecordVisitor::RecordVisitor | ( | ) |  |
| inline

Definition at line 173 of file record.h.

osl::record::RecordVisitor::RecordVisitor | ( | Record & | r) |  |

osl::record::RecordVisitor::~RecordVisitor | ( | ) |  |

Definition at line 313 of file record.cc.

## Member Function Documentation

void osl::record::RecordVisitor::addMoveAndAdvance | ( | Move | move) |  |

Definition at line 201 of file record.cc.

Referenced by convert(), osl::record::Record::Record(), and osl::record::usi::UsiFile::UsiFile().

void osl::record::RecordVisitor::addObserver | ( | RecordVisitorObserver * | observer) |  |
| inline

Definition at line 184 of file record.h.

References observers.

MoveRecord* osl::record::RecordVisitor::getLastMove | ( | ) |  |
| inline

Definition at line 181 of file record.h.

References lastMoveIndex, osl::record::Record::moveOf(), and rec.

NodeRecord* osl::record::RecordVisitor::getNode | ( | ) |  |
| inline

Definition at line 183 of file record.h.

References nodeIndex, osl::record::Record::nodeOf(), and rec.

Referenced by osl::record::operator<<().

Record* osl::record::RecordVisitor::getRecord | ( | ) |  |
| inline

Definition at line 179 of file record.h.

References rec.

SimpleState* osl::record::RecordVisitor::getState | ( | ) |  | const
| inline

Definition at line 177 of file record.h.

References state.

void osl::record::RecordVisitor::setRecord | ( | Record * | r) |  |
| inline

Definition at line 180 of file record.h.

References rec.

Referenced by convert(), osl::record::operator<<(), osl::record::Record::Record(), and osl::record::usi::UsiFile::UsiFile().

void osl::record::RecordVisitor::setState | ( | SimpleState * | s) |  |
| inline

Definition at line 178 of file record.h.

References state.

Referenced by convert(), osl::record::operator<<(), osl::record::Record::Record(), and osl::record::usi::UsiFile::UsiFile().

## Member Data Documentation

int osl::record::RecordVisitor::lastMoveIndex
| private

Definition at line 169 of file record.h.

Referenced by getLastMove().

int osl::record::RecordVisitor::nodeIndex
| private

Definition at line 170 of file record.h.

Referenced by getNode().

boost::ptr_vector<RecordVisitorObserver> osl::record::RecordVisitor::observers
| private

Definition at line 171 of file record.h.

Referenced by addObserver().

Record* osl::record::RecordVisitor::rec
| private

Definition at line 167 of file record.h.

Referenced by getLastMove(), getNode(), getRecord(), and setRecord().

SimpleState* osl::record::RecordVisitor::state
| private

Definition at line 168 of file record.h.

Referenced by getState(), and setState().

The documentation for this class was generated from the following files:

- record.h
- record.cc